{
  "Task_PreCheckOffline": {
    "skip_default_task": "true",
    "tasks": [
      {
        "name": "task_check_is_repeat",
        "function": "taskmgr.cmd_frame.check_repeat.check_repeat",
        "cost_time": 1
      },
      {
        "name": "task_check_custom_offline",
        "function": "taskmgr.cmd_frame.check_custom_offline.check_custom_offline_apapter",
        "cost_time": 1
      },
      {
        "name": "task_check_disk_size",
        "function": "taskmgr.cmd_frame.check_package.check_package",
        "cost_time": 1
      },
      {
        "name": "task_check_cpu_memory_in_local",
        "function": "taskmgr.cmd_frame.check_package.check_cpu_memory_in_local",
        "cost_time": 1
      }
    ]
  },
  "Task_PreCheckOnline": {
    "skip_default_task": "true",
    "tasks": [
      {
        "name": "task_check_os_weak_password",
        "function": "taskmgr.cmd_frame.check_os_weak_password.check_os_weak_password",
        "cost_time": 2
      },
      {
        "name": "task_check_omp_ssh",
        "function": "taskmgr.cmd_frame.check_omp.check_omp_ssh",
        "cost_time": 1
      },
      {
        "name": "task_check_expansion_ssh_private_cloud",
        "function": "taskmgr.cmd_frame.check_ssh.check_expansion_ssh_private_cloud",
        "cost_time": 1
      },
      {
        "name": "task_check_opt_partition_space",
        "function": "taskmgr.cmd_frame.check_omp.check_opt_partition_space",
        "cost_time": 1
      },
      {
        "name": "task_check_os_language",
        "function": "taskmgr.cmd_frame.check_os_time.check_os_language",
        "cost_time": 1
      },
      {
        "name": "task_check_custom_online",
        "function": "taskmgr.cmd_frame.check_custom.check_custom_adapter",
        "cost_time": 1
      }
    ]
  },
  "expansion_step_custom": {
    "task_expansion_pre_health_check": false,
    "task_expansion_restart_app_task": false
  },
  "Task_Backup": {
    "skip_default_task": "true",
    "tasks": [
       {
        "name": "task_product_data_backup",
        "function": "plugins.CampusInsight.expand_rollback.product_data_backup",
        "cost_time": 10
      }
    ]
  },
   "Task_rollback": {
    "skip_default_task": "true",
    "tasks": [
      {
        "name": "task_pre_rollback_for_private",
        "function": "taskmgr.cmd_frame.expansion_custom_scripts.pre_rollback_for_private",
        "cost_time": 10
      },

      {
        "name": "rollback_deployment",
        "function": "taskmgr.cmd_frame.rollback_deployment.rollback_deployment_adapter",
        "cost_time": 23
      },
      {
        "name": "task_post_rollback_for_private",
        "function": "taskmgr.cmd_frame.expansion_custom_scripts.post_rollback_for_private",
        "cost_time": 10
      }
    ]
  }
}